Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://v2.api.uk.housr.com/update-property/{propertyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"address": "<string>",
"city": "<string>",
"images": [
"<string>"
],
"price_pw": 123,
"bedrooms": 1,
"bathrooms": 1,
"postcode": "<string>",
"lat": 123,
"lng": 123,
"deposit": 0
}
'import requests
url = "https://v2.api.uk.housr.com/update-property/{propertyId}"
payload = {
"title": "<string>",
"description": "<string>",
"address": "<string>",
"city": "<string>",
"images": ["<string>"],
"price_pw": 123,
"bedrooms": 1,
"bathrooms": 1,
"postcode": "<string>",
"lat": 123,
"lng": 123,
"deposit": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
address: '<string>',
city: '<string>',
images: ['<string>'],
price_pw: 123,
bedrooms: 1,
bathrooms: 1,
postcode: '<string>',
lat: 123,
lng: 123,
deposit: 0
})
};
fetch('https://v2.api.uk.housr.com/update-property/{propertyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Property successfully updated"
}{
"response": "Invalid JSON in request body"
}{
"response": "Missing or invalid authentication token"
}{
"response": "You do not have permission to perform this action"
}{
"response": "Property with ID 12345 not found"
}{
"response": "Validation failed",
"errors": {
"title": [
"Title cannot be empty"
],
"price_pw": [
"Price must be a positive integer"
]
}
}Updates an existing property. Server enforces ownership/permissions. Provide only the fields you wish to change. images accepts CSV string or array.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the property
Send only fields to modify
Array of image URLs, each their own comma-separated string
Weekly price as a string to preserve precision
x >= 0x >= 0Defaults to 0 if not supplied
Updated
